/* kcom-registry-serer.cc */
/* Created by Enomoto Sanshiro on 30 May 2000. */
/* Last updated by Enomoto Sanshiro on 30 May 2000. */


#include <iostream>
#include <fstream>
#include "KcomRegistry.hh"
#include "KcomRegistryOrb.hh"
#include "KcomRegistryRepository.hh"


using namespace std;


int main(int argc, char **argv)
{
    TKcomRegistryServer* RegistryServer = new TKcomRegistryServer();

    try {
	RegistryServer->Start();
    }
    catch (TKcomException &e) {
	cerr << "ERROR: " << argv[0] << ": " << e << endl;
    }

    ofstream RepositoryFile("last.kreg");
    if (!!RepositoryFile) {
	TKcomRegistryRepository Repository;
	Repository.Save(RegistryServer->Registry(), RepositoryFile);
    }

    delete RegistryServer;

    return 0;
}
